make.packages.html {utils} | R Documentation

## Update HTML documentation files

### Description

Functions to re-create the HTML documentation files to reflect all installed packages.

### Usage

    make.packages.html(lib.loc = .libPaths())

### Arguments

`lib.loc` | character vector. List of libraries to be included.

### Details

This sets up the links from packages in libraries to the ‘`.R`’ subdirectory of the per-session directory (see `tempdir`) and then creates the ‘`packages.html`’ and ‘`index.txt`’ files to point to those links.

If a package is available in more than one library tree, all the copies are linked, after the first with suffix `.1` etc.

### Value

Logical, whether the function succeeded in recreating the files.

### See Also

`help.start`

[Package Contents]